/* Allgemeine Styles */
body {
    font-family: 'Montserrat', sans-serif;
    background-color: #d1d1d1;
    line-height: 1.5;
    text-align: justify;
    padding: 0;
    margin: 0px; /* kein Rand für den Body */
}

/* Logo Styles */
.logo {
    max-width: 220px;
    margin-left: 45px; /* Abstand vom linken Rand wie der Container */
    margin-top: 5px;
}

/* Remove default underline and change color for links */
a {
    text-decoration: none;
    color: #ececec; /* Change this to the desired color */
}

.container {
    width: 1300px;
    background-color: #FFF;
    color: #5f5f5f;
    margin: 0 auto;
    padding: 70px 60px 60px 60px;
}

/* Header Styles */
header {
    display: flex;
    height: 140px;
    justify-content: space-between;
    align-items: center;
    background: linear-gradient(to bottom, #ffffff, #f1f1f1);
    color: #5f5f5f;
}

/* Maximalbreite für Header und Footer */
header, footer {
    max-width: 1420px;
    margin: 0 auto; /* Zentriert den Inhalt bei größeren Bildschirmen */
    padding: 0; /* Innenabstand für kleine Seitenränder */
}

/* Image Styles */
.image {
    max-width: 100%;
    margin: 20px 0px;
}

.additional-columns {
    display: flex;
    justify-content: space-between;
    margin-top: 20px;
}

.column {
    flex-basis: calc(50% - 20px); /* 50% Breite für jede Spalte mit etwas Abstand dazwischen */
}

.column-footer {
    flex-basis: calc(33% - 20px); /* 33% Breite für jede Spalte mit etwas Abstand dazwischen */
}

.column h3 {
    margin-top: 0; /* Kein oberer Abstand für die Überschrift */
}

.custom-button {
    display: inline-block;
    padding: 10px 20px;
    font-size: 16px;
    color: white;
    background-color: orange;
    border: none;
    border-radius: 25px;
    cursor: pointer;
    text-align: center;
    text-decoration: none;
}

.custom-button:hover {
    background-color: darkorange;
}


/* Footer Styles */
footer {
    min-height: 200px;
    background: linear-gradient(to bottom, #2a4758, #386178);
    color: #ececec;
    padding: 10px 0;
    text-align: center; /* Alles im Footer zentrieren */
}

.social-icons {
    display: inline-block; /* So dass die Flex-Container-Ausrichtung zentriert wird */
}

.social-icons a i {
    font-size: 32px; /* Doppelt so groß wie zuvor (ursprünglich 16px) */
    margin-bottom: 10px; /* Mehr Abstand unterhalb der Icons */
    color: rgb(241, 241, 241); /* Farbe der Social-Media-Icons */
}

/* Abstand nur für die ersten beiden Icons */
.social-icons a:nth-child(1),
.social-icons a:nth-child(2) {
    margin-right: 20px; /* Mehr Abstand zwischen den Icons */
}

h1 {
    margin: 0;
    font-size: 30px;

}

/* Navigation Styles */
.menu-icon {
    display: none;
}

nav ul {
    display: flex;
    align-items: center;
    list-style: none;
    margin: 40px 70px 0 0; /* Kein seitlicher Abstand für die Hauptliste */
    padding: 0; /* Kein Innenabstand für die Hauptliste */
}

nav ul li {
    position: relative; /* Position relativ setzen, um das absolute Positionieren des Untermenüs zu ermöglichen */
}

nav ul li a {
    text-decoration: none;
    color: #386178ff;
    position: relative; /* Position relativ setzen, um das absolute Positionieren des Untermenüs zu ermöglichen */
    padding: 10px 20px; /* Innenabstand für die Hauptmenüpunkte */
    display: block; /* Elemente als Block anzeigen, um den gesamten Bereich anklickbar zu machen */
}

nav ul li.dropdown > a::after {
    content: '\25BC'; /* Pfeilsymbol nach unten */
    display: inline-block;
    margin-left: 5px; /* Abstand zwischen dem Text und dem Pfeilsymbol */
    transition: transform 0.3s ease; /* Animation für den Pfeil */
    font-size: 1.1em;
}

nav ul li.dropdown:hover > a::after {
    transform: rotateX(180deg); /* Um 180 Grad drehen, um den Pfeil nach oben zu zeigen */
}

nav ul ul {
    display: none;
    margin: 0 70px 0 0; /* Kein seitlicher Abstand für die Hauptliste */
    position: absolute; /* Position absolut setzen, um das Untermenü über dem Hauptmenü anzuzeigen */
    background-color: #ffffff; /* Hintergrundfarbe des Untermenüs */
    padding: 10px; /* Innenabstand des Untermenüs */
    z-index: 999; /* Sicherstellen, dass das Untermenü über anderen Inhalten liegt */
    border-radius: 10px; /* Abgerundete Ecken für das Untermenü */
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.2); /* Hinzufügen des Schattens */
}

nav ul li:hover > ul {
    display: block; /* Untermenü anzeigen, wenn das Hauptmenüpunkt gehovert wird */
    transition: max-height 0.3s ease-in-out;
}

/* Das Untermenü soll offen bleiben, solange sich der Mauszeiger darüber befindet */
nav ul ul:hover {
    display: block;
}

nav ul ul li {
    width: 100%; /* Breite des Untermenüs auf 100% setzen */
    margin: 0; /* Kein seitlicher Abstand für Untermenüpunkte */
}

nav ul ul li a {
    padding: 10px 20px; /* Innenabstand der Untermenüelemente */
    color: #386178ff; /* Textfarbe des Untermenüs */
    display: block; /* Elemente als Block anzeigen, um den gesamten Bereich anklickbar zu machen */
    text-decoration: none; /* Unterstreichungen entfernen */
}

nav ul ul li a:hover {
    background-color: #386178ff; /* Hintergrundfarbe bei Hover über Untermenüpunkte */
    color: #ffffff;
}

.menu-icon {
    cursor: pointer;
    width: 48px; /* Neue Breite des Symbols */
    height: 48px; /* Neue Höhe des Symbols */
    display: flex;
    justify-content: center;
    align-items: center;
}

.menu-icon i {
    font-size: 28px; /* Größe des Hamburger-Icons erhöhen */
}

.menu-icon {
    display: none; /* Das Hamburger-Symbol in der Desktop-Ansicht ausblenden */
}

.faq-section {
    max-width: 1200px;
    margin: 0 auto;
}

.faq-item {
    margin-bottom: 10px;
    border-top: 1px solid #eeeeee;
    padding-top: 5px;
}

.question {
    font-weight: bold;
    margin-bottom: 5px;
    cursor: pointer;
}

.answer {
    margin-left: 20px;
    display: none;
}

.toggle-answer {
    cursor: pointer;
    font-size: 26px;
    color: #87b4c9;
    line-height: 1;
}

/* Responsive Design */

@media only screen and (max-width: 1450px) {
    /* Für Tablets mit einer Breite von bis zu 1450px */
    header {
        margin: 0 auto; /* Zentriert den Inhalt bei größeren Bildschirmen */
    }

    h1 {
        margin: 0;
        font-size: 28px;
    
    }
    
    .container {
        width: 80%;
    }
    nav ul {
        display: flex;
        align-items: center;
        list-style: none;
        margin: 0 80px 0 0; /* Kein seitlicher Abstand für die Hauptliste */
        padding: 0; /* Kein Innenabstand für die Hauptliste */
    }
    .logo {
        max-width: 180px; /* Maximale Breite auf 100 Pixel in der mobilen Ansicht begrenzen */
        margin-left: 80px; /* Sie können den Abstand je nach Bedarf anpassen */
    }
       
}

/* Für Tablet- und Mobile-Geräte */
@media only screen and (max-width: 900px) {
        
    header {
        display: flex;
        height: 80px;
        justify-content: space-between;
        align-items: center;
        background: linear-gradient(to bottom, #fff, #f1f1f1);
        color: #    background: linear-gradient(to bottom, #8b8b8b, #6e6e6e);
        ;
        padding: 20px 40px;
        margin: 0 auto; /* Zentriert den Inhalt bei größeren Bildschirmen */
    }

    h1 {
        margin: 0;
        font-size: 26px;
    
    }
    
 

    .logo {
        max-width: 170px; /* Maximale Breite auf 100 Pixel in der mobilen Ansicht begrenzen */
        margin-left: 0px; /* Sie können den Abstand je nach Bedarf anpassen */
    }

    .menu-icon {
        display: flex;
    }

    .main-nav {
        display: none; /* Das Hauptmenü standardmäßig ausblenden */
        background: linear-gradient(to bottom, #386178ff, rgb(42, 71, 88));
        position: absolute;
        top: 100px; /* Anpassen, je nach Header-Höhe */
        width: 310px;
        left: 50%; /* Menü horizontal zentrieren */
        transform: translateX(-50%); /* Exakte Zentrierung */
        border-bottom-left-radius: 10px;
        border-bottom-right-radius: 10px;
        z-index: 999;
    }

        nav ul {
        display: flex;
        align-items: center;
        list-style: none;
        margin: 0 0 0 0; /* Kein seitlicher Abstand für die Hauptliste */
        padding: 0; /* Kein Innenabstand für die Hauptliste */
    }
    
    .main-nav.active {
        display: block; /* Das Hauptmenü anzeigen, wenn es aktiv ist */
    }

    .main-nav ul {
        flex-direction: column; /* Menüpunkte vertikal anordnen */
    }

    .main-nav ul li {
        margin: 10px 0; /* Abstand zwischen den Menüpunkten */
    }

    .dropdown ul {
        display: none; /* Dropdown-Menü standardmäßig ausblenden */
    }

    .dropdown.active ul {
        display: block; /* Dropdown-Menü anzeigen, wenn es aktiv ist */
    }

    nav ul li a {
        text-decoration: none;
        color: #ffffff;
        padding: 10px 20px;
    }

    nav ul ul {
        display: none;
        position: absolute; /* Position absolut setzen, um das Untermenü über dem Hauptmenü anzuzeigen */
        top: 100%; /* Untermenü direkt unter dem Hauptmenü positionieren */
        left: 0px; /* Untermenü links ausrichten */
        background-color: #f8f8f8; /* Hintergrundfarbe des Untermenüs */
        padding: 0px 10px; /* Abstand des Untermenüs */
        z-index: 999; /* Sicherstellen, dass das Untermenü über anderen Inhalten liegt */
        border-radius: 10px; /* Abgerundete Ecken für das Untermenü */
        box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.2); /* Hinzufügen des Schattens */
    }

    nav ul ul li a {
        padding: 10px 20px; /* Innenabstand der Untermenüelemente */
        color: #386178ff; /* Dunkelgrau als Schriftfarbe für das Dropdown-Menü */
        text-align: center; /* Text zentrieren */
    }

    /* Header Styles */
    header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        background-color: #ececec;
        color: #386178ff;
        padding: 10px 20px;
    }

    .container {
        width: 80%;
        margin: 0 auto;
        padding: 20px;
        margin: 0 auto; /* Zentriert den Inhalt bei größeren Bildschirmen */
    }

    .additional-columns {
        flex-direction: column; /* Spalten untereinander anordnen */
    }

    .column {
        flex-basis: 100%; /* Volle Breite für jede Spalte */
        margin-bottom: 20px; /* Abstand zwischen den Spalten hinzufügen */
    }

}
